#!/bin/sh

# If OS run in memory setup alpine on disk and reboot
ROOTFS=`awk '$2=="/" {print $1}' /etc/mtab`
if [ "$ROOTFS" = "tmpfs" ]; then 

    DEVICE=`lsblk -n -o NAME,TYPE | awk '/disk/ {print $1}'`
    # for unnatended mode
    ERASE_DISKS="/dev/${DEVICE}"
    export ERASE_DISKS
    TIMEZONE=`curl -s http://ip-api.com/line/?fields=timezone`
    ANSWERS_FILE="UNATTENDED-setup-alpine-on-${DEVICE}.cfg"

tee ${ANSWERS_FILE} << EOF
KEYMAPOPTS="us us"
HOSTNAMEOPTS=r0
DEVDOPTS=mdev
INTERFACESOPTS="auto lo
iface lo inet loopback
auto eth0
iface eth0 inet dhcp
"
TIMEZONEOPTS="$TIMEZONE"
PROXYOPTS=none
APKREPOSOPTS="-1"
USEROPTS="-a -u -g audio,video,netdev ansible"
USERSSHKEY="https://pxe.dmmp.me/alpine/ssh_key"
SSHDOPTS=openssh
ROOTSSHKEY="https://pxe.dmmp.me/alpine/ssh_key"
NTPOPTS="openntpd"
DISKOPTS="-m sys $ERASE_DISKS"
LBUOPTS=none
APKCACHEOPTS=none
EOF

    Red='\033[0;31m'
    Green='\033[0;32m'
    Yellow='\033[0;33m'
    NC='\033[0m' # No Color
    
    echo
    echo -e "${Green}-------------------------------------------------------${NC}"
    echo -e "Setup created unattended installation answer file"
    echo -e "${Yellow}${ANSWERS_FILE}${NC}"
    echo -e "It will install Alpine Linux on this computer by doing the following:"
    echo -e "1. For the interface eth0 will be assigned a dhcp address"
    echo -e "2. The first hard disk (${Yellow}${DEVICE}${NC}) will be formatted"
    echo -e "If you prefer to do partitioning ${Red}WITHOUT WARNIG${NC} run command"
    echo -e "# ${Yellow}export ERASE_DISKS=/dev/${DEVICE}${NC}"
    echo -e "3. timezone will be set to ${Yellow}$TIMEZONE${NC}"
    echo -e "If necessary, rewview the installation script, then run the command"
    echo -e "# ${Yellow}setup-alpine -ef ${ANSWERS_FILE} ${NC}"
    echo -e "Then ${Yellow}reboot${NC}, login as root without password and run setup-asteraid.sh again"
    
    if [ "${1}" = "-f" ]; then 
      setup-alpine -ef ${ANSWERS_FILE}
      reboot
    fi
    
else
    echo "ROOTFS != tmpfs"
fi # "$ROOTFS" != "tmpfs"


